Download it now!
Bug 129396 - Shared formula group created by pasting row(s) stops listening to (part of) a range after insertion of a column before the formula group.
Summary: Shared formula group created by pasting row(s) stops listening to (part of) a...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, regression
: 129333 (view as bug list)
Depends on:
Blocks: Calculate
  Show dependency treegraph
 
Reported: 2019-12-13 22:29 UTC by Eike Rathke
Modified: 2020-01-21 19:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2019-12-13 22:29:16 UTC
Short reproducers:

A1: 2
B1: =SUM(A1:A1)
copy A1:B1
paste onto A2:B2
insert column before B => formulas now in C1:C2
change A1 or A2 => C1 or C2 not recalculated


Similar with:

A1: 2
B1: 3
C1: =SUM(A1:B1)
copy A1:C1
paste onto A2:C2
select/mark C1:C2
Sheet -> Insert Cells..., Shift cells right, OK

Note that if A1:C1 is pasted also onto A3:C3 but still only shifting C1:C2 to D1:D2 (thus keeping C3), the broadcaster/listener mechanism is kept intact and recalculation continues to work.
Comment 1 Eike Rathke 2019-12-13 22:42:48 UTC
*** Bug 129333 has been marked as a duplicate of this bug. ***
Comment 2 Xisco Faulí 2019-12-16 10:57:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=47230a036fe35b9a7a7c0609232849fcbb51efcc

author	Eike Rathke <erack@redhat.com>	2015-02-05 11:32:13 +0100
committer	Eike Rathke <erack@redhat.com>	2015-02-05 11:52:51 +0100
commit	47230a036fe35b9a7a7c0609232849fcbb51efcc (patch)
tree	15f08a8c276e885ce6abc685114e4782e27e1546
parent	de68bb85145e68fc170b8eab0fa3357cd7165421 (diff)
Resolves: tdf#88792 do not hold a ScFormulaCell** in group area listener

Bisected with: bibisect-50max

Adding Cc: to Eike Rathke
Comment 3 Eike Rathke 2019-12-17 16:22:20 UTC
Taking.
Comment 4 Commit Notification 2019-12-18 00:55:36 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/491e8f60bf7f216a3bb3092b22334924b6c9aee1

Resolves: tdf#129396 Refresh shared formula group area listeners upon shifting

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2019-12-18 00:57:41 UTC
Pending review https://gerrit.libreoffice.org/85353 for 6-3
Comment 6 Commit Notification 2019-12-18 08:33:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/35f82ef89071887726f6cb125cc669dd51a3db47

Resolves: tdf#129396 Refresh shared formula group area listeners upon shifting

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-12-18 08:45:38 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 491e8f60bf7f216a3bb3092b22334924b6c9aee1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Eike, thanks for fixing this issue!!
Comment 8 Commit Notification 2019-12-18 21:41:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/28ea93627ea4ea1a3003d3d1620125ea84ea31b3

Unit test insert with shared formula group shift, tdf#129396

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-01-21 19:57:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/92051303dce5efbc29b2afe426f9e076cee01736

Resolves: tdf#129396 Refresh shared formula group area listeners upon shifting

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.